man2html(1)

NOM
man2html - formate une page de manuel en html

SYNOPSIS
man2html [options] [fichier]

DESCRIPTION
man2html convertit une page de manuel telle que trouvée dans fichier (ou l'entrée standard stdin si aucun argument fichier n'est donné ou si l'argument « - » est donné) à partir du format nroff (celui des pages de manuels) vers un format html et affiche le résultat sur la sortie standard (stdout). man2html supporte tbl(1) mais ne connaît rien à propos de eqn(1). Le code de sortie est 0. Si quelque chose va mal, une page d'erreur est affichée sur la sortie standard stdout. Cette commande peut être utilisée seule mais a été principalement conçue pour être un auxiliaire afin que les utilisateurs puissent naviguer dans les pages de manuel avec un navigateur html comme lynx(1), xmosaic(1) ou netscape(1). La plus grande partie de man2html est l'engin « troff-vers-html » écrit par Richard Verhoeven (rcb5@win.tue.nl). Il ajoute des hyperliens aux constructions suivantes :

foo(3x) | "http://localhost/cgi-bin/man/man2html?3x+foo"
method://string | "method://string"
www.host.name | "http://www.host.name"
ftp.host.name | "ftp://ftp.host.name"
name@host | "mailto:name@host"
<string.h> | "file:/usr/include/string.h"

(La première de celles-ci peut être ajustée par des options - voir plus loin.) Aucune consultation n'est effectuée - les liens générés n'ont pas besoin d'exister. Un index avec des hyperliens internes vers les diverses sections est également créé rendant plus facile la navigation dans les grandes pages comme bash(1).

OPTIONS
Lorsqu'on lit à partir de stdin, il n'est pas toujours évident de savoir comment se fait l'expansion .so. L'option -D permet à un script de définir le répertoire de travail.

-D chemin
    Retire les deux derniers éléments du chemin et effectue un changement de répertoire courant chdir(dir) avant de débuter la conversion.

L'option -E option facilite la production de messages d'erreurs à partir de scripts cgi.

-E chaîne
    Produire en sortie une page d'erreur contenant le message d'erreur donné.

La forme générale d'un hyperlien généré pour référencer une page de manuel est

    <method:cgipath><man2htmlpath><separator><manpage>

qui est d'ailleurs la forme par défaut. Les éléments de cet hyperlien sont positionnés en utilisant diverses options.

-h  Positionner method:cgipath à http://localhost. C'est le comportement par défaut.

-H hôte[.domaine][:port]
    Positionner method:cgipath à http://hôte.domaine:port.

-l  Positionner method:cgipath à lynxcgi:/home/httpd.

-L dir
    Positionner method:cgipath à lynxcgi:dir.

-M man2htmlpath
    Positionner le chemin vers man2html à utiliser. La valeur par défaut est /cgi-bin/man/man2html.

-p  Positionner le séparateur à « / ».

-q  Positionner le séparateur à « ? ». C'est la valeur par défaut.

-r  Utiliser des chemins html relatifs plutôt que les chemins cgi-bin.

Sur une machine sur laquelle httpd ne tourne pas, vous pouvez utiliser lynx pour naviguer dans les pages de manuel en utilisant la méthode lynxcgi. Lorsqu'un démon http est en service, vous pouvez utiliser lynx ou n'importe quel autre navigateur pour parcourir les pages de manuel en utilisant la méthode http. L'option -l (pour « lynxcgi ») sélectionne ce fonctionnement. Avec elle, le chemin cgi par défaut est /home/httpd. En général, un script cgi peut être appelé de la façon suivante

    <path_to_script>/<more_path>?<query>

et les variables d'environnement PATH_INFO et QUERY_STRING seront positionnées respectivement à <more_path> et <query>. Puisque lynxcgi ne gère pas l'élément PATH_INFO, nous allons générer des hyperliens avec « ? » comme séparateur par défaut. L'option -p (pour « path ») sélectionne « / » comme séparateur, alors que l'option -q (for « query ») sélectionne « ? ». L'option -H host spécifiera l'hôte à utiliser (à la place localhost). Un script cgi pourra utiliser

    man2html -H $SERVER_NAME

si la variable SERVER_NAME est positionnée. Cela permettra à votre machine de fonctionner en tant que serveur et d'exporter les pages manuel.

BOGUES
Il y a beaucoup d'heuristiques. La sortie produite ne sera pas toujours parfaite. La méthode lynxcgi ne fonctionnera pas si lynx a été compilé sans le support de celle-ci. Il peut y avoir des problèmes de sécurité.

VOIR AUSSI
lynx(1), man(1)

TRADUCTION

Ce document est une traduction réalisée par Alain Portal <aportal AT univ-montp2 DOT fr> le 1er juin 2005 et mise à jour le 7 novembre 2005.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=en man 1 man2html ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.